[PC-BSD Commits] r800 - pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Fri Oct 26 08:55:26 PDT 2007


Author: kris
Date: 2007-10-26 08:55:26 -0700 (Fri, 26 Oct 2007)
New Revision: 800

Modified:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SysConfig.sh
Log:

Fix ticket #66 and others who have been having lockups on AMD procs and
powerd enabled



Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SysConfig.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SysConfig.sh	2007-10-26 15:44:28 UTC (rev 799)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SysConfig.sh	2007-10-26 15:55:26 UTC (rev 800)
@@ -9,6 +9,16 @@
   KEYLAYOUT="" ; export KEYLAYOUT
 fi
 
+# Check if we are on an AMD processor and disable powerd if so
+# Ticket #66 and others have had problems with this and lockups
+sysctl -a | grep hw.model | grep AMD 2>/dev/null
+if [ "$?" = "0" ]
+then
+  cat /mnt/etc/rc.conf | grep -v "powerd" >/mnt/tmp/.rc.conf
+  mv /mnt/rmp/.rc.conf /mnt/etc/rc.conf
+fi
+
+
 if [ "${4}" = "1" ]
 then
    echo "bsdstats_enable=\"YES\"" >> /mnt/etc/rc.conf



More information about the Commits mailing list